### Hierarchy

- unknown
  - AvailabilityResultWithDescription

## Index

### Constructors

- constructor

### Methods

- getAvailabilityResult
- getDescription
- serializeBinary
- setAvailabilityResult
- setDescription
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AvailabilityResultWithDescription(): AvailabilityResultWithDescription

- Inherited from jspb.Message.constructor

  #### Returns AvailabilityResultWithDescription

## Methods

### getAvailabilityResult

- getAvailabilityResult(): AvailabilityResult

- - Defined in src/protobuf/grpc_pb.d.ts:1706

  #### Returns AvailabilityResult

### getDescription

- getDescription(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1709

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1712

  #### Returns Uint8Array

### setAvailabilityResult

- setAvailabilityResult(value: AvailabilityResult ): AvailabilityResultWithDescription

- - Defined in src/protobuf/grpc_pb.d.ts:1707

  #### Parameters

  - ##### value: AvailabilityResult

  #### Returns AvailabilityResultWithDescription

### setDescription

- setDescription(value: string): AvailabilityResultWithDescription

- - Defined in src/protobuf/grpc_pb.d.ts:1710

  #### Parameters

  - ##### value: string

  #### Returns AvailabilityResultWithDescription

### toObject

- toObject(includeInstance?: boolean): AvailabilityResultWithDescription . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1713

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AvailabilityResultWithDescription . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AvailabilityResultWithDescription

- - Defined in src/protobuf/grpc_pb.d.ts:1716

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AvailabilityResultWithDescription

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AvailabilityResultWithDescription, reader: BinaryReader): AvailabilityResultWithDescription

- - Defined in src/protobuf/grpc_pb.d.ts:1717

  #### Parameters

  - ##### message: AvailabilityResultWithDescription

  - ##### reader: BinaryReader

  #### Returns AvailabilityResultWithDescription

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AvailabilityResultWithDescription, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1715

  #### Parameters

  - ##### message: AvailabilityResultWithDescription

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AvailabilityResultWithDescription ): AvailabilityResultWithDescription . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1714

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AvailabilityResultWithDescription

  #### Returns AvailabilityResultWithDescription . AsObject

Generated using TypeDoc